Bug 1573493 - RHEL-6.10-Snapshot-1.1 was composed with some unexpected default-product certs
Summary: RHEL-6.10-Snapshot-1.1 was composed with some unexpected default-product certs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng
Version: 6.10
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 6.10
Assignee: Jaroslav Fedor
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 14:14 UTC by John Sefler
Modified: 2018-06-05 11:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-05 11:40:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1573117 1 None None None 2021-01-20 06:05:38 UTC
Red Hat Bugzilla 1573181 1 None None None 2021-01-20 06:05:38 UTC

Internal Links: 1573117 1573181

Description John Sefler 2018-05-01 14:14:59 UTC
Description of problem:

During the RHEL6.10 planning phase, it was agreed with release-engineering that the default-product certs provided by the redhat-release-<VARIANT> package would follow the table in https://mojo.redhat.com/docs/DOC-1167304.  Some of the variants passed and some of them failed.  Here are the results for RHEL-6.10-Snapshot-1.1...

__________________________________________________________________
RedHatEnterpriseLinux6-Server-i386          PASS
redhat-release-server-6Server-6.10.0.10.el6.i686 DOES NOT PROVIDE A /etc/pki/product-default/ AS EXPECTED

__________________________________________________________________
RedHatEnterpriseLinux6-Server-ppc64         PASS
redhat-release-server-6Server-6.10.0.10.el6.ppc64 DOES NOT PROVIDE A /etc/pki/product-default/ AS EXPECTED

__________________________________________________________________
RedHatEnterpriseLinux6-Server-s390x         PASS
redhat-release-server-6Server-6.10.0.10.el6.s390x DOES NOT PROVIDE A /etc/pki/product-default/ AS EXPECTED

__________________________________________________________________
RedHatEnterpriseLinux6-Server-x86_64        BLOCKED BY BUG 1573181 
Error loading certificate: /etc/pki/product-default/135.pem
redhat-release-server-6Server-6.10.0.10.el6.x86_64.rpm

__________________________________________________________________
RedHatEnterpriseLinux6-Client-i386          FAIL - DID NOT EXPECT /etc/pki/product-default/68.pem; SHOULD HAVE NOT BEEN PROVIDED
# rpm -q --whatprovides /etc/pki/product-default/68.pem
redhat-release-client-6Client-6.10.0.2.el6.i686

__________________________________________________________________
RedHatEnterpriseLinux6-Client-x86_64        FAIL - DID NOT EXPECT /etc/pki/product-default/68.pem; SHOULD HAVE NOT BEEN PROVIDED
# rpm -q --whatprovides /etc/pki/product-default/68.pem
redhat-release-client-6Client-6.10.0.2.el6.x86_64

__________________________________________________________________
RedHatEnterpriseLinux6-ComputeNode-x86_64   FAIL - DID NOT EXPECT /etc/pki/product-default/76.pem; SHOULD HAVE NOT BEEN PROVIDED
# rpm -q --whatprovides /etc/pki/product-default/76.pem
redhat-release-computenode-6ComputeNode-6.10.0.2.el6.x86_64

__________________________________________________________________
RedHatEnterpriseLinux6-Workstation-i386     PASS
redhat-release-workstation-6Workstation-6.10.0.2.el6.i686 DOES NOT PROVIDE A /etc/pki/product-default/ AS EXPECTED

__________________________________________________________________
RedHatEnterpriseLinux6-Workstation-x86_64   PASS - HTB PRODUCT CERT 155 PROVIDED BY redhat-release-workstation-6Workstation AS EXPECTED
# rpm -q --whatprovides /etc/pki/product-default/155.pem
redhat-release-workstation-6Workstation-6.10.0.2.el6.x86_64





Version-Release number of selected component (if applicable):
There is a mixture of redhat-release versions.  See versions above.

Comment 1 John Sefler 2018-05-04 16:01:36 UTC
Results from RHEL-6.10-Snapshot-2.0 COMPOSE_ID have improved, but the Client and ComputeNode variants are still not as expected. 

__________________________________________________________________
RedHatEnterpriseLinux6-Server-i386          PASS
redhat-release-server-6Server-6.10.0.11.el6.i686 DOES NOT PROVIDE A /etc/pki/product-default/ AS EXPECTED

__________________________________________________________________
RedHatEnterpriseLinux6-Server-ppc64         PASS
redhat-release-server-6Server-6.10.0.11.el6.ppc64 DOES NOT PROVIDE A /etc/pki/product-default/ AS EXPECTED

__________________________________________________________________
RedHatEnterpriseLinux6-Server-s390x         PASS
redhat-release-server-6Server-6.10.0.11.el6.s390x DOES NOT PROVIDE A /etc/pki/product-default/ AS EXPECTED

__________________________________________________________________
RedHatEnterpriseLinux6-Server-x86_64        PASS - HTB PRODUCT CERT 135 PROVIDED BY redhat-release-server-6Server AS EXPECTED
# rpm -q --whatprovides /etc/pki/product-default/135.pem
redhat-release-server-6Server-6.10.0.11.el6.x86_64

__________________________________________________________________
RedHatEnterpriseLinux6-Client-i386          FAIL - DID NOT EXPECT /etc/pki/product-default/68.pem; SHOULD HAVE NOT BEEN PROVIDED
# rpm -q --whatprovides /etc/pki/product-default/68.pem
redhat-release-client-6Client-6.10.0.2.el6.i686

__________________________________________________________________
RedHatEnterpriseLinux6-Client-x86_64        FAIL - DID NOT EXPECT /etc/pki/product-default/68.pem; SHOULD HAVE NOT BEEN PROVIDED
# rpm -q --whatprovides /etc/pki/product-default/68.pem
redhat-release-client-6Client-6.10.0.2.el6.x86_64

__________________________________________________________________
RedHatEnterpriseLinux6-ComputeNode-x86_64   FAIL - DID NOT EXPECT /etc/pki/product-default/76.pem; SHOULD HAVE NOT BEEN PROVIDED
# rpm -q --whatprovides /etc/pki/product-default/76.pem
redhat-release-computenode-6ComputeNode-6.10.0.2.el6.x86_64

__________________________________________________________________
RedHatEnterpriseLinux6-Workstation-i386     PASS
redhat-release-workstation-6Workstation-6.10.0.2.el6.i686 DOES NOT PROVIDE A /etc/pki/product-default/ AS EXPECTED

__________________________________________________________________
RedHatEnterpriseLinux6-Workstation-x86_64   PASS - HTB PRODUCT CERT 155 PROVIDED BY redhat-release-workstation-6Workstation AS EXPECTED
# rpm -q --whatprovides /etc/pki/product-default/155.pem
redhat-release-workstation-6Workstation-6.10.0.2.el6.x86_64

Comment 2 Jaroslav Fedor 2018-05-07 11:15:43 UTC
I rebuild redhat-release-{cleint, computenode} with empty tarball with no certificates. 

Versions:
redhat-release-computenode-6ComputeNode-6.10.0.3.el6
redhat-release-client-6Client-6.10.0.3.el6

Please test if it works as expected.

Comment 3 John Sefler 2018-05-11 12:58:10 UTC
Yesterday at the RHEL6 program call on 5/10/2018 we learned that they do NOT want to treat the rhel6.10 snapshots like a traditional high touch beta.  Snapshots1&2 are problematic for partners testing snapshot composes.  Instead they want the snapshot compose content pushed to the beta repos which means that all the redhat-release-<variant> packages need to be re-built to provide the beta product certs.   I have updated the table in table in https://mojo.redhat.com/docs/DOC-1167304 to reflect the expected /etc/pki/product-default/ certs.


Note You need to log in before you can comment on or make changes to this bug.